Just acquired some crazyflies and have no idea how to use them..

Post here to get support
Post Reply
rufunky
Beginner
Posts: 2
Joined: Mon Sep 21, 2020 11:37 pm

Just acquired some crazyflies and have no idea how to use them..

Post by rufunky »

I just acquired some crazyflies, crazyradios and a few other things I'm not sure of.
I was hoping someone could help me figure out how to set this up as well as identify the other items.

I attached a picture of said stuffs
Attachments
IMG_20200921_194027.jpg
arnaud
Bitcraze
Posts: 2392
Joined: Tue Feb 06, 2007 12:36 pm

Re: Just acquired some crazyflies and have no idea how to use them..

Post by arnaud »

Hi,

You got Crazyflies 1 and Crazyradios (not PA). I also see one Led ring deck that will not work with your Crazyflies (it requires Crazyflie 2.0+).

The documentation about Crazyflie 1.0 is on the Bitcraze wiki: https://wiki.bitcraze.io/projects:crazyflie:index

Note that the latest firmware you can use is 2017.06. The python client and lib slowly lost compatibility with Crazyflie 1 over time so the safest will be to use the client 2017.06 together with the lib that was released around that time (setup.py contains the version for the lib). There was already a window build for the client at that time so if you are on windows and are not using Python yet, this is likely the easiest way to start: https://github.com/bitcraze/crazyflie-c ... ag/2017.06.
rufunky
Beginner
Posts: 2
Joined: Mon Sep 21, 2020 11:37 pm

Re: Just acquired some crazyflies and have no idea how to use them..

Post by rufunky »

arnaud wrote: Tue Sep 22, 2020 8:06 am Hi,

You got Crazyflies 1 and Crazyradios (not PA). I also see one Led ring deck that will not work with your Crazyflies (it requires Crazyflie 2.0+).

The documentation about Crazyflie 1.0 is on the Bitcraze wiki: https://wiki.bitcraze.io/projects:crazyflie:index

Note that the latest firmware you can use is 2017.06. The python client and lib slowly lost compatibility with Crazyflie 1 over time so the safest will be to use the client 2017.06 together with the lib that was released around that time (setup.py contains the version for the lib). There was already a window build for the client at that time so if you are on windows and are not using Python yet, this is likely the easiest way to start: https://github.com/bitcraze/crazyflie-c ... ag/2017.06.
Thank you for your guidance! Hopefully I can figure this out :)
Post Reply